Skip to main content
PUT
/
api
/
v1
/
auth
/
user
/
id
/
{id}
/
kyc-status
Update user KYC status by ID
curl --request PUT \
  --url https://crypto.westminister.tech/api/v1/auth/user/id/{id}/kyc-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kyc_status": "approved"
}
'
{
  "id": "8d09359f-325a-4ecf-998d-dbe5eda3a498",
  "email": "michael.ochieng@gmail.com",
  "phone_number": "+254708374149",
  "first_name": "Michael",
  "last_name": "Juma",
  "role": "customer",
  "kyc_status": "approved"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

User ID (UUID).

Body

application/json
kyc_status
enum<string>

New KYC status to assign.

Available options:
pending,
approved,
rejected

Response

200 - application/json

KYC status updated

id
string<uuid>

User ID.

email
string<email>

User email.

phone_number
string

Phone in E.164 format.

first_name
string

Given name.

last_name
string

Family name.

role
string

Assigned role.

kyc_status
string

Current KYC status.